﻿using System;
using System.Windows;

namespace ModelDialogBug
{
    /// <summary>
    /// Interaction logic for DemoWindow.xaml
    /// </summary>
    public partial class DemoWindow : Window
    {
        private static Dialog dialog = new Dialog();

        public DemoWindow()
        {
            InitializeComponent();
        }

        protected override void OnSourceInitialized(EventArgs e)
        {
            base.OnSourceInitialized(e);
            dialog.Owner = this;
        }

        private void OnShowDialogClick(object sender, RoutedEventArgs e)
        {
            dialog.ShowDialog();
        }

        private void OnHideDialogClick(object sender, RoutedEventArgs e)
        {
            dialog.Visibility = Visibility.Hidden;
        }

        private void OnReshowDialogClick(object sender, RoutedEventArgs e)
        {
            dialog.Visibility = Visibility.Visible;
        }
    }
}
